use kyomu::{FloatMapped, IntMapped, ReflectionRecursive, TyKindMapped};

#[test]
fn complex() {
    assert_eq!(
        ([(1, "hi"), (2, "byte")], 1.1).get_ty_recursive(),
        TyKindMapped::Tuple(vec![
            TyKindMapped::Array(vec![
                TyKindMapped::Tuple(vec![
                    TyKindMapped::IntMapped(IntMapped::I32(1)),
                    TyKindMapped::StrReference(false, "hi"),
                ]),
                TyKindMapped::Tuple(vec![
                    TyKindMapped::IntMapped(IntMapped::I32(2)),
                    TyKindMapped::StrReference(false, "byte"),
                ])
            ]),
            TyKindMapped::FloatMapped(FloatMapped::F64(1.1))
        ])
    )
}
